Bug 28891 - RecordStaffUserOnCheckout display a new column but default sort column isn't changed
Summary: RecordStaffUserOnCheckout display a new column but default sort column isn't ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Didier Gautheron
QA Contact: Testopia
URL:
Keywords:
Depends on: 23916
Blocks:
  Show dependency treegraph
 
Reported: 2021-08-23 13:27 UTC by Didier Gautheron
Modified: 2021-09-20 11:36 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.04,20.11.10


Attachments
Bug 28891: (bug 23916 follow up) Always use 'Checkout on' as default Checkout history sort column (1.49 KB, patch)
2021-08-23 14:31 UTC, Didier Gautheron
Details | Diff | Splinter Review
Bug 28891: (bug 23916 follow up) Always use 'Checkout on' as default Checkout history sort column (1.55 KB, patch)
2021-08-28 13:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Didier Gautheron 2021-08-23 13:27:40 UTC
Hi,

If system preference RecordStaffUserOnCheckout is set a new column is displayed but table default sort column stays the same (column 4).
Comment 1 Didier Gautheron 2021-08-23 14:31:31 UTC
Created attachment 124020 [details] [review]
Bug 28891: (bug 23916 follow up) Always use 'Checkout on' as default Checkout history sort column

To test:
1 - Unset RecordStaffUserOnCheckout
2 - Check out an item
3 - Display Checkout history, table is sorted by 'Checkout on' column
4 - Set RecordStaffUserOnCheckout
5 - Display Checkout history, table is sorted by 'Renewed' column
6 - Apply patch
7 - Redo 1, 3, 4 and 5, table is always sorted by 'Checkout on'
Comment 2 Katrin Fischer 2021-08-28 13:35:25 UTC
I filed a new bug 28916 as there is another issue with table configuration on these pages concerning which columns can be hidden/toggled.
Comment 3 Katrin Fischer 2021-08-28 13:36:17 UTC
Created attachment 124215 [details] [review]
Bug 28891: (bug 23916 follow up) Always use 'Checkout on' as default Checkout history sort column

To test:
1 - Unset RecordStaffUserOnCheckout
2 - Check out an item
3 - Display Checkout history, table is sorted by 'Checkout on' column
4 - Set RecordStaffUserOnCheckout
5 - Display Checkout history, table is sorted by 'Renewed' column
6 - Apply patch
7 - Redo 1, 3, 4 and 5, table is always sorted by 'Checkout on'

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2021-08-28 13:36:47 UTC
Easy patch, setting to PQA directly.
Comment 5 Jonathan Druart 2021-08-30 15:12:31 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-09-03 14:51:40 UTC
Pushed to 21.05.x for 21.05.04
Comment 7 Fridolin Somers 2021-09-08 20:35:44 UTC
Pushed to 20.11.x for 20.11.10
Comment 8 Victor Grousset/tuxayo 2021-09-20 11:36:47 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.